export class PlayAuthInfo {
    constructor() {
        this.mPlayAuth = "";
        this.mFormats = [];
    }
    setPlayAuth(w40) {
        this.mPlayAuth = w40;
    }
    getPlayAuth() {
        return this.mPlayAuth;
    }
    setFormats(v40) {
        this.mFormats = v40;
    }
    getFormats() {
        return this.mFormats;
    }
    getFormatStr() {
        if (!this.mFormats || this.mFormats.length === 0) {
            return "";
        }
        let t40 = "";
        for (let u40 of this.mFormats) {
            if (u40 != null) {
                t40 += u40 + ",";
            }
        }
        if (t40.length > 0) {
            t40 = t40.slice(0, -1);
        }
        return t40;
    }
}
